{ KOL MCK } // Do not remove this line!
{$DEFINE KOL_MCK}
unit Unit1;

interface

{$IFDEF KOL_MCK}
uses Windows, Messages, ShellAPI, KOL {$IFNDEF KOL_MCK}, mirror, Classes, Controls, mckControls, mckObjs, Graphics,
  mckCtrls {$ENDIF (place your units here->)}, SalutUnit;
{$ELSE}
{$I uses.inc}
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, mirror;
{$ENDIF}

type
  {$IFDEF KOL_MCK}
  {$I MCKfakeClasses.inc}
  {$IFDEF KOLCLASSES} TForm1 = class; PForm1 = TForm1; {$ELSE OBJECTS} PForm1 = ^TForm1; {$ENDIF CLASSES/OBJECTS}
  {$IFDEF KOLCLASSES}{$I TForm1.inc}{$ELSE} TForm1 = object(TObj) {$ENDIF}
    Form: PControl;
  {$ELSE not_KOL_MCK}
  TForm1 = class(TForm)
  {$ENDIF KOL_MCK}
    KOLProject1: TKOLProject;
    KOLForm1: TKOLForm;
    box: TKOLPaintBox;
    Timer1: TKOLTimer;
    procedure KOLForm1Show(Sender: PObj);
    procedure KOLForm1Destroy(Sender: PObj);
    procedure boxPaint(Sender: PControl; DC: HDC);
    procedure Timer1Timer(Sender: PObj);
    procedure boxMouseDown(Sender: PControl; var Mouse: TMouseEventData);
    procedure KOLForm1Close(Sender: PObj; var Accept: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
    Salut: PSalut;
  end;

var
  Form1 {$IFDEF KOL_MCK} : PForm1 {$ELSE} : TForm1 {$ENDIF} ;

{$IFDEF KOL_MCK}
procedure NewForm1( var Result: PForm1; AParent: PControl );
{$ENDIF}

implementation

uses MultiWav;

{$IFNDEF KOL_MCK} {$R *.DFM} {$ENDIF}

{$IFDEF KOL_MCK}
{$I Unit1_1.inc}
{$ENDIF}

procedure TForm1.KOLForm1Show(Sender: PObj);
begin
  Salut := NewSalut( box.Width, box.Height, 1, 1000 );
  Timer1.Enabled := TRUE;
end;

procedure TForm1.KOLForm1Destroy(Sender: PObj);
begin
  Salut.Free;
end;

procedure TForm1.boxPaint(Sender: PControl; DC: HDC);
begin
  Salut.Draw2DC( DC, 0, 0 );
end;

procedure TForm1.Timer1Timer(Sender: PObj);
begin
  Salut.Frame;
  box.Invalidate;
end;

procedure TForm1.boxMouseDown(Sender: PControl;
  var Mouse: TMouseEventData);
begin
  Timer1.Enabled := not Timer1.Enabled;
end;

procedure TForm1.KOLForm1Close(Sender: PObj; var Accept: Boolean);
begin
  Timer1.Enabled := FALSE;
  if MultiWavObj <> nil then
    MultiWavObj.Stop;
  Sleep( 100 );
  MultiWavObj.Free;
end;

end.


